<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Catch::Capturer Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceCatch.html">Catch</a></li><li class="navelem"><a class="el" href="classCatch_1_1Capturer.html">Capturer</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="classCatch_1_1Capturer-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Catch::Capturer Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a>&gt;</code></p>
<div class="dynheader">
Collaboration diagram for Catch::Capturer:</div>
<div class="dyncontent">
<div class="center"><img src="classCatch_1_1Capturer__coll__graph.png" border="0" usemap="#Catch_1_1Capturer_coll__map" alt="Collaboration graph"/></div>
<map name="Catch_1_1Capturer_coll__map" id="Catch_1_1Capturer_coll__map">
<area shape="rect" title=" " alt="" coords="25,95,148,121"/>
<area shape="rect" href="structCatch_1_1IResultCapture.html" title=" " alt="" coords="5,5,168,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a86b0b27acc803a4e1310c10820f3038f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Capturer.html#a86b0b27acc803a4e1310c10820f3038f">Capturer</a> (<a class="el" href="classCatch_1_1StringRef.html">StringRef</a> macroName, <a class="el" href="structCatch_1_1SourceLineInfo.html">SourceLineInfo</a> const &amp;lineInfo, <a class="el" href="structCatch_1_1ResultWas.html#a624e1ee3661fcf6094ceef1f654601ef">ResultWas::OfType</a> resultType, <a class="el" href="classCatch_1_1StringRef.html">StringRef</a> names)</td></tr>
<tr class="separator:a86b0b27acc803a4e1310c10820f3038f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aecde85cf69e65565cec91e325a657b82"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Capturer.html#aecde85cf69e65565cec91e325a657b82">~Capturer</a> ()</td></tr>
<tr class="separator:aecde85cf69e65565cec91e325a657b82"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0695ebf77f7cdcb344c73bcb3d9131e4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Capturer.html#a0695ebf77f7cdcb344c73bcb3d9131e4">captureValue</a> (size_t index, std::string const &amp;value)</td></tr>
<tr class="separator:a0695ebf77f7cdcb344c73bcb3d9131e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a60d08e6db2e54740bb2298bbbec3bc0b"><td class="memTemplParams" colspan="2">template&lt;typename T &gt; </td></tr>
<tr class="memitem:a60d08e6db2e54740bb2298bbbec3bc0b"><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classCatch_1_1Capturer.html#a60d08e6db2e54740bb2298bbbec3bc0b">captureValues</a> (size_t index, T const &amp;value)</td></tr>
<tr class="separator:a60d08e6db2e54740bb2298bbbec3bc0b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a76f2a097cfeb3042688300b81eb9bcbc"><td class="memTemplParams" colspan="2">template&lt;typename T , typename... Ts&gt; </td></tr>
<tr class="memitem:a76f2a097cfeb3042688300b81eb9bcbc"><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classCatch_1_1Capturer.html#a76f2a097cfeb3042688300b81eb9bcbc">captureValues</a> (size_t index, T const &amp;value, Ts const &amp;... values)</td></tr>
<tr class="separator:a76f2a097cfeb3042688300b81eb9bcbc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a86b0b27acc803a4e1310c10820f3038f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Capturer.html#a86b0b27acc803a4e1310c10820f3038f">Capturer</a> (<a class="el" href="classCatch_1_1StringRef.html">StringRef</a> macroName, <a class="el" href="structCatch_1_1SourceLineInfo.html">SourceLineInfo</a> const &amp;lineInfo, <a class="el" href="structCatch_1_1ResultWas.html#a624e1ee3661fcf6094ceef1f654601ef">ResultWas::OfType</a> resultType, <a class="el" href="classCatch_1_1StringRef.html">StringRef</a> names)</td></tr>
<tr class="separator:a86b0b27acc803a4e1310c10820f3038f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aecde85cf69e65565cec91e325a657b82"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Capturer.html#aecde85cf69e65565cec91e325a657b82">~Capturer</a> ()</td></tr>
<tr class="separator:aecde85cf69e65565cec91e325a657b82"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0695ebf77f7cdcb344c73bcb3d9131e4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Capturer.html#a0695ebf77f7cdcb344c73bcb3d9131e4">captureValue</a> (size_t index, std::string const &amp;value)</td></tr>
<tr class="separator:a0695ebf77f7cdcb344c73bcb3d9131e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a60d08e6db2e54740bb2298bbbec3bc0b"><td class="memTemplParams" colspan="2">template&lt;typename T &gt; </td></tr>
<tr class="memitem:a60d08e6db2e54740bb2298bbbec3bc0b"><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classCatch_1_1Capturer.html#a60d08e6db2e54740bb2298bbbec3bc0b">captureValues</a> (size_t index, T const &amp;value)</td></tr>
<tr class="separator:a60d08e6db2e54740bb2298bbbec3bc0b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a76f2a097cfeb3042688300b81eb9bcbc"><td class="memTemplParams" colspan="2">template&lt;typename T , typename... Ts&gt; </td></tr>
<tr class="memitem:a76f2a097cfeb3042688300b81eb9bcbc"><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classCatch_1_1Capturer.html#a76f2a097cfeb3042688300b81eb9bcbc">captureValues</a> (size_t index, T const &amp;value, Ts const &amp;... values)</td></tr>
<tr class="separator:a76f2a097cfeb3042688300b81eb9bcbc"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:aa69c73e25cb32019ff596628b518b232"><td class="memItemLeft" align="right" valign="top">std::vector&lt; <a class="el" href="structCatch_1_1MessageInfo.html">MessageInfo</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Capturer.html#aa69c73e25cb32019ff596628b518b232">m_messages</a></td></tr>
<tr class="separator:aa69c73e25cb32019ff596628b518b232"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a36f7fd952db4265a99881e3d4ed09acc"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structCatch_1_1IResultCapture.html">IResultCapture</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Capturer.html#a36f7fd952db4265a99881e3d4ed09acc">m_resultCapture</a> = <a class="el" href="namespaceCatch.html#af718eeab870712f292ed8dc6ee3f6488">getResultCapture</a>()</td></tr>
<tr class="separator:a36f7fd952db4265a99881e3d4ed09acc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1c3bea0fde97a7663ece4b81187fa9ed"><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Capturer.html#a1c3bea0fde97a7663ece4b81187fa9ed">m_captured</a> = 0</td></tr>
<tr class="separator:a1c3bea0fde97a7663ece4b81187fa9ed"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a86b0b27acc803a4e1310c10820f3038f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a86b0b27acc803a4e1310c10820f3038f">&#9670;&nbsp;</a></span>Capturer() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Catch::Capturer::Capturer </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classCatch_1_1StringRef.html">StringRef</a>&#160;</td>
          <td class="paramname"><em>macroName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structCatch_1_1SourceLineInfo.html">SourceLineInfo</a> const &amp;&#160;</td>
          <td class="paramname"><em>lineInfo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structCatch_1_1ResultWas.html#a624e1ee3661fcf6094ceef1f654601ef">ResultWas::OfType</a>&#160;</td>
          <td class="paramname"><em>resultType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classCatch_1_1StringRef.html">StringRef</a>&#160;</td>
          <td class="paramname"><em>names</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aecde85cf69e65565cec91e325a657b82"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aecde85cf69e65565cec91e325a657b82">&#9670;&nbsp;</a></span>~Capturer() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Catch::Capturer::~Capturer </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a86b0b27acc803a4e1310c10820f3038f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a86b0b27acc803a4e1310c10820f3038f">&#9670;&nbsp;</a></span>Capturer() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Catch::Capturer::Capturer </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classCatch_1_1StringRef.html">StringRef</a>&#160;</td>
          <td class="paramname"><em>macroName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structCatch_1_1SourceLineInfo.html">SourceLineInfo</a> const &amp;&#160;</td>
          <td class="paramname"><em>lineInfo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structCatch_1_1ResultWas.html#a624e1ee3661fcf6094ceef1f654601ef">ResultWas::OfType</a>&#160;</td>
          <td class="paramname"><em>resultType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classCatch_1_1StringRef.html">StringRef</a>&#160;</td>
          <td class="paramname"><em>names</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aecde85cf69e65565cec91e325a657b82"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aecde85cf69e65565cec91e325a657b82">&#9670;&nbsp;</a></span>~Capturer() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Catch::Capturer::~Capturer </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a0695ebf77f7cdcb344c73bcb3d9131e4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0695ebf77f7cdcb344c73bcb3d9131e4">&#9670;&nbsp;</a></span>captureValue() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Catch::Capturer::captureValue </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string const &amp;&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0695ebf77f7cdcb344c73bcb3d9131e4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0695ebf77f7cdcb344c73bcb3d9131e4">&#9670;&nbsp;</a></span>captureValue() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Catch::Capturer::captureValue </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string const &amp;&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a60d08e6db2e54740bb2298bbbec3bc0b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a60d08e6db2e54740bb2298bbbec3bc0b">&#9670;&nbsp;</a></span>captureValues() <span class="overload">[1/4]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Catch::Capturer::captureValues </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">T const &amp;&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a60d08e6db2e54740bb2298bbbec3bc0b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a60d08e6db2e54740bb2298bbbec3bc0b">&#9670;&nbsp;</a></span>captureValues() <span class="overload">[2/4]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Catch::Capturer::captureValues </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">T const &amp;&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a76f2a097cfeb3042688300b81eb9bcbc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a76f2a097cfeb3042688300b81eb9bcbc">&#9670;&nbsp;</a></span>captureValues() <span class="overload">[3/4]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , typename... Ts&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Catch::Capturer::captureValues </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">T const &amp;&#160;</td>
          <td class="paramname"><em>value</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Ts const &amp;...&#160;</td>
          <td class="paramname"><em>values</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a76f2a097cfeb3042688300b81eb9bcbc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a76f2a097cfeb3042688300b81eb9bcbc">&#9670;&nbsp;</a></span>captureValues() <span class="overload">[4/4]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , typename... Ts&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Catch::Capturer::captureValues </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">T const &amp;&#160;</td>
          <td class="paramname"><em>value</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Ts const &amp;...&#160;</td>
          <td class="paramname"><em>values</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a1c3bea0fde97a7663ece4b81187fa9ed"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1c3bea0fde97a7663ece4b81187fa9ed">&#9670;&nbsp;</a></span>m_captured</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">size_t Catch::Capturer::m_captured = 0</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aa69c73e25cb32019ff596628b518b232"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa69c73e25cb32019ff596628b518b232">&#9670;&nbsp;</a></span>m_messages</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt; <a class="el" href="structCatch_1_1MessageInfo.html">MessageInfo</a> &gt; Catch::Capturer::m_messages</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a36f7fd952db4265a99881e3d4ed09acc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a36f7fd952db4265a99881e3d4ed09acc">&#9670;&nbsp;</a></span>m_resultCapture</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structCatch_1_1IResultCapture.html">IResultCapture</a> &amp; Catch::Capturer::m_resultCapture = <a class="el" href="namespaceCatch.html#af718eeab870712f292ed8dc6ee3f6488">getResultCapture</a>()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>backend/src/lib/game/<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
